# GIOP_Message_Lite.cpp File Reference

`#include "GIOP_Message_Lite.h"`
`#include "debug.h"`
`#include "TAOC.h"`
`#include "ORB_Core.h"`
`#include "operation_details.h"`
`#include "TAO_Server_Request.h"`
`#include "GIOP_Message_Locate_Header.h"`
`#include "LF_Strategy.h"`
`#include "Transport.h"`
`#include "Transport_Mux_Strategy.h"`
`#include "Codeset_Manager.h"`
`#include "SystemException.h"`

Include dependency graph for GIOP_Message_Lite.cpp:

## Variables

const size_t | TAO_GIOP_LITE_HEADER_LEN = 5
const size_t | TAO_GIOP_LITE_MESSAGE_SIZE_OFFSET = 0
const size_t | TAO_GIOP_LITE_MESSAGE_TYPE_OFFSET = 4

## Variable Documentation

const size_t TAO_GIOP_LITE_HEADER_LEN = 5`[static]`

const size_t TAO_GIOP_LITE_MESSAGE_SIZE_OFFSET = 0`[static]`

const size_t TAO_GIOP_LITE_MESSAGE_TYPE_OFFSET = 4`[static]`